Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AbstractV4Request

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceRequest
          com.rsa.ace.techservice.udpserver.AbstractV4Request

All Implemented Interfaces:
  AceRequest

Direct Known Subclasses:
  AbstractV4RequestWithPasscode, AceLockRequest

    public abstract class AbstractV4Request

extends AbstractAceRequest
implements AceRequest

Nested Class Summary
`static class` | `AbstractV4Request.MessageType`

Field Summary

Fields inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`NO_RESPONSE, QUEUE_RESPONSE, RESPOND_NOW`

Constructor Summary
`AbstractV4Request(AbstractV4Request.MessageType messageType, byte circuitID, AgentConfig agentConfig)`
`AbstractV4Request(AceDatagram pkt)`

Method Summary

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceRequest
`getAcePinUtil, getAgentConfig, getBuffer, getCipherProvider, getCreationTime, getEncryptOffset, getHeader, getNonce, getPacket, getProtocolVersion, getSecretKey, getWpCode, haveNodeSecret, haveSecretKey, processRequest, readTrailer, setEncode, setEncryptOffset, setNodeSecret, setSecretKey, setTrailer, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`getAgentConfig, getCipherProvider, getCreationTime, getHeader, getNonce, getPacket, getProtocolVersion, getResponse, getWpCode, processRequest, toString`

Constructor Detail

### AbstractV4Request

    public AbstractV4Request(AceDatagram pkt)
                      throws AcePacketException

Throws:
  `AcePacketException`

### AbstractV4Request

    public AbstractV4Request(AbstractV4Request.MessageType messageType,
                             byte circuitID,
                             AgentConfig agentConfig)
                      throws AcePacketException

Throws:
  `AcePacketException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.